Name:           scintilla
Summary:        Code editing component for GTK

Version:        2.03
%global tarballver 203

Release:        1%{?dist}
License:        BSD
Group:          System Environment/Libraries
URL:            http://scintilla.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}%{tarballver}.tgz

# Patch from PLD .src.rpm + cleanup
Patch0:  %{name}-203-make.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel


%description
Scintilla  is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product.

As well as features found in standard text editing components, Scintilla
includes features especially useful when editing and debugging source code.
These include support for syntax styling, error indicators, code completion
and call tips. The selection margin can contain markers like those used in
debuggers to indicate breakpoints and the current line. Styling choices are
more open than with many editors, allowing the use of proportional fonts,
bold and italics, multiple foreground and background colours and multiple
fonts. 

%package devel
Summary: Scintilla header files
Group:  Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Scintilla header files.


%prep
%setup -q -n %{name}

%patch0 -p0 -b .orig

rm -rf doc/CVS

%build
%{__make} -C gtk \
          OPTFLAGS="%{optflags}" \
          libdir="%{_libdir}" \
          RELEASE=%{version}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}

%{__make} -C gtk install \
          libdir="%{_libdir}" \
          DESTDIR=$RPM_BUILD_ROOT

install -p -m 644 include/*.h src/*.h gtk/*.h \
        $RPM_BUILD_ROOT%{_includedir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc License.txt doc
%{_libdir}/lib%{name}-%{version}.so
%exclude %{_libdir}/lib%{name}.a
%exclude %{_libdir}/lib%{name}.la
 
%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so
%{_includedir}/scintilla


%changelog
* Wed Feb 17 2010 Remi Collet <Fedora@famillecollet.com> - 2.03-1
- First RPM

